
<button type="button" class="btn btn-info mt-2 mb-4" data-tooltip="tooltip" data-placement="top" title="Tambah"
            data-toggle="modal" data-target="#modal-center-tambah">
    <i class="bi bi-plus"></i> Tambah Kategori
</button>


<div class="card shadow mb-5">
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
        <h6 class="m-0 font-weight-bold text-info">Kategori</h6>
        <div class="dropdown no-arrow">
            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
            </a>
        </div>
    </div>
    <div class="card-body">
        <div class="table-responsive py-3">
            <table class="table table-striped table-bordered dt-responsive nowrap" width="100%" id="table-list">
                <thead class="bg-info text-white">
                    <tr>
                        <th scope="col" class="text-center">#</th>
                        <th scope="col" class="text-center">Nama Kategori</th>
                        <th scope="col" class="text-center">Jenis Kategori</th>
                        <th scope="col" class="text-center">Aksi</th>
                    </tr>
                </thead>
                <tbody>
                    {% for category in categories %}
                        <tr>
                            <th>{{ forloop.counter }}</th>
                            <td>{{ category.nama }}</td>
                            <td>{{ category.typexs }}</td>
                            <td class="text-center">
                                <button href="#" class="btn btn-success btn-circle pass-data-ubah" 
                                    data-tooltip="tooltip" data-placement="top" title="Ubah"
                                    data-toggle="modal" data-target="#modal-center-ubah"
                                    data-id="{{ category.id }}"
                                    data-nama="{{ category.nama }}"
                                    data-typexs="{{ category.typexs }}"
                                    {% if category.foto %}
                                        data-foto = "{{ category.foto.url }}"
                                    {% endif %}>
                                    <i class="bi bi-pencil"></i>
                                </button>
                                <button href="#" class="btn btn-danger btn-circle" 
                                    onclick="delete_('permanent_delete', 'Kategori ini', '{{ category.id }}', 'category', 'Kategori')"
                                    data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                    <i class="bi bi-trash"></i>
                                </button>
                            </td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
</div>


<div class="modal fade" id="modal-center-tambah" tabindex="-1" role="dialog" aria-labelledby="modal-centerTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
            <h5 class="m-0 font-weight-bold text-info" id="exampleModalLongTitle">Tambah Kategori</h5>
            <button type="button" class="close text-info" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            </div>
            <div class="modal-body">
                <form action="{% url 'profile:admin_setting_category' %}" method="post" enctype="multipart/form-data">
                <div class="form-group">
                    {% csrf_token %}
                    <label for="{{ form.nama.id_for_label }}">Kategori</label>
                    <input type="text" placeholder="Masukkan nama kategori..."
                        class="form-control {% if form.nama.errors %}is-invalid{% endif %}"
                        name="{{ form.nama.name }}"
                        id="{{ form.nama.id_for_label }}" 
                        maxlength="{{ form.nama.field.max_length }}"
                        {% if form.nama.value != None %}value="{{ form.nama.value|stringformat:'s' }}"{% endif %}
                        {% if form.nama.field.required %}required{% endif %} >
                    {% if form.nama.errors %}
                        <div class="invalid-feedback">
                            {{ form.nama.errors }}
                        </div>
                    {% endif %}
                </div>
                <div class="form-row">
                    <div class="form-group col">
                        <label for="{{ form.typexs.id_for_label }}">Jenis Kategori</label>
                        <select 
                            class="form-control" name="{{ form.typexs.name }}"
                            {% if form.typexs.field.required %}required{% endif %}>
                            <option value="news">News</option>
                            <option value="product">Product</option>
                        </select>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col">
                        <label for="id_Foto">Foto</label>
                        <div class="preview-container"></div>
                        <input type="file" name="foto" class="form-control">
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="submit" class="btn btn-info">Simpan</button>
                </form>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modal-center-ubah" tabindex="-1" role="dialog" aria-labelledby="modal-centerTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
            <h5 class="m-0 font-weight-bold text-info" id="exampleModalLongTitle">Edit Kategori</h5>
            <button type="button" class="close text-info" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            </div>
            <div class="modal-body">
                <form action="{% url 'profile:admin_setting_category_edit' %}" method="post" enctype="multipart/form-data">
                <div class="form-group">
                    {% csrf_token %}
                    <input type="hidden" name="id" id="ubah-id" value="">
                    <label for="ubah-nama">Kategori</label>
                    <input type="text" placeholder="Masukkan nama kategori..." class="form-control" name="nama" id="ubah-nama"  maxlength="50">
                </div>
                <div class="form-row">
                    <div class="form-group col">
                        <label for="{{ form.typexs.id_for_label }}">Jenis Kategori</label>
                        <select 
                            class="form-control" name="{{ form.typexs.name }}" id="ubah-jenis"
                            {% if form.typexs.field.required %}required{% endif %}>
                            <option value="news">News</option>
                            <option value="product">Product</option>
                        </select>
                    </div>
                </div>
                <!-- <div class="form-row">
                    <div class="form-group col" id="edit-group">
                        <label for="id_Fot">Foto</label>
                        <br>
                        {% if 'ubah-foto' %}
                            <img id="ubah-foto" src="#" style="max-width: 100%">
                            <br>
                            <small>preview foto</small>
                        {% endif %}
                        <input id="edit" type="file" name="foto" class="form-control">
                    </div>
                </div> -->
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="submit" class="btn btn-info">Simpan</button>
                </form>
            </div>
        </div>
    </div>
</div>